# GNUmakefile          Section: 5.4, Salt-and-Pepper Noise Removal
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS = snp.h
LOBJS   = snp.o

SOURCES	= snp.h snp.c  test-snp.c
TESTS	= test-snp

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip


#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################


ifeq (${LIBTEST},)
snp.o:	snp.h snp.c

test-snp:	test-snp.c snp.o
	${LINK.cc} -o $@ $@.o snp.o ${LDLIBS}
	strip $@
else
test-snp.o:	test-snp.c
endif
